Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INTERNAL

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INTERNAL

All Implemented Interfaces:
  Serializable

public final class INTERNAL
extends SystemException

The CORBA `INTERNAL` exception, which is thrown when there is an ORB internal error. It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section meaning of minor codes to see the minor codes for this exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions, Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INTERNAL()` Constructs an `INTERNAL` exception with a default minor code of 0 and a completion state of COMPLETED_MAYBE.
`INTERNAL(int minor, CompletionStatus completed)` Constructs an `INTERNAL` exception with the specified minor code and completion status.
`INTERNAL(String s)` Constructs an `INTERNAL` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`INTERNAL(String s, int minor, CompletionStatus completed)` Constructs an `INTERNAL` exception with the specified detail message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INTERNAL

    public INTERNAL()

  Constructs an `INTERNAL` exception with a default minor code of 0 and a completion state of COMPLETED_MAYBE.

### INTERNAL

    public INTERNAL(String s)

  Constructs an `INTERNAL` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
  Parameters:
    `s` - the String containing a detail message

### INTERNAL

    public INTERNAL(int minor,
                    CompletionStatus completed)

  Constructs an `INTERNAL` exception with the specified minor code and completion status.
  Parameters:
    `minor` - the minor code
    `completed` - an instance of `CompletionStatus` that indicates the completion status of the method that threw this exception

### INTERNAL

    public INTERNAL(String s,
                    int minor,
                    CompletionStatus completed)

  Constructs an `INTERNAL` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - the String containing a detail message
    `minor` - the minor code
    `completed` - an instance of `CompletionStatus` that indicates the completion status of the method that threw this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.